Commit graph

160 commits

Author SHA1 Message Date
c55e1fdd9b remote.<name>.gcrypt-participants overwritten on pull 2015-09-10 19:31:41 +02:00
Joey Hess
5dcc77f507 added gcrypt.publish-participants configuration
Fixes https://github.com/blake2-ppc/git-remote-gcrypt/issues/9
2014-07-15 17:16:32 -04:00
Joey Hess
0ce768c4dd fix on OSX
set -e causes the xecho to not run if the xgrep fails. At least with OSX's
/bin/sh, which is:

GNU bash, version 3.2.51(1)-release (x86_64-apple-darwin13)

This didn't happen on Linux with:

GNU bash, version 4.3.11(1)-release (x86_64-pc-linux-gnu)

Possibly a bug in bash, or an OSX-specific bug. However, disabling set -e
in the subshell seems a good idea anyway.

fixes https://github.com/blake2-ppc/git-remote-gcrypt/issues/15
2014-05-19 18:20:51 -04:00
Joey Hess
8b619df24a Fix to work when there is no controlling terminal, but GPG_AGENT_INFO is set. Pass --no-tty to gpg in this situation. This is needed to interoperate with the git-annex assistant, which often runs without a controlling terminal, and will in a new version always do so.
Conflicts:
	debian/changelog
2014-05-15 14:31:26 -04:00
Joey Hess
c826c39208 remove any git config for dummy-gcrypt-check remote
The gcrypt-id is cached to there when running --check
2013-09-27 16:47:43 -04:00
Joey Hess
b0174432a0 stop passing --fast-list
For unknown reasons, it makes --list-keys sometimes not show fingerprints
of certian keys.
2013-09-26 15:56:56 -04:00
Joey Hess
29ed089cce Merge branch 'better_signature_validation' of https://github.com/jburnham/git-remote-gcrypt 2013-09-19 13:00:58 -04:00
Joey Hess
6ddc058981 improve docs 2013-09-19 12:27:15 -04:00
Joey Hess
83d519179f --check option to see if a repo exists and can be decrypted
This is to allow programs to determine if a repo uses gcrypt, per #6.

Since this program already knows the name of the manifest file and how to
download it and decrypt it, it makes sense to do the check here rather than
in, eg, git-annex.
2013-09-19 12:03:33 -04:00
Justin Burnham
4f98834216 Better signature validation for subkeys. 2013-09-18 23:27:32 -07:00
Joey Hess
243671037f add remote.<name>.gcrypt-signingkey config
This is needed by git-annex assistant when it sets up a gcrypt repository,
to ensure that the gpg key it was asked to use to encrypt the repo is the
same key used to sign it. If it's not, pulling from the repo won't work,
due to git-remote-gcrypt's "Only accepting signatories" check.

The user may have a global user.signingkey setting (I do), but be setting
up a different special-purpose key for encrypting their git repo. The
git-annex assistant cannot mess with the global value, so needs this to
override it.
2013-09-17 15:30:25 -04:00
Joey Hess
912a827570 set --trust-model=always when encrypting
Otherwise gpg may prompt to verify if we want to encrypt to users who
do not have a defined trust level. But, the participants setting
explicitly listed them, so we know we want to encrypt to them.

closes #3
2013-09-16 15:45:10 -04:00
root
79b997382a README: Don't mention keyring files, it's not relevant anymore 2013-03-12 23:28:41 -07:00
root
b6d922cc68 Remove deprecated /G.XxX.. repository "url fragments" (previously autofixed) 2013-03-08 04:55:40 -08:00
root
6233fdebdd Remove deprecated gcrypt::ssh:// (use rsync instead, previously autofixed)
We need to remove this since git handles ssh:// URLs already. With this
change, we now use the git backend for these.
2013-03-05 08:29:21 +00:00
root
8726767e25 Remove deprecated config gcrypt.keyring (use gcrypt.participants or default) 2013-03-14 12:04:57 +04:00
root
41d8f0d953 Simplify by replacing echo_kill with a pipefail function 2013-03-09 14:38:10 +08:00
root
1c26102791 Use directory in /tmp for temporary files
Using a standard directory for temporaries buys us performance when the
user wants it (has configured tmpfs for /tmp) and configurability
(accepts TMPDIR=).

Moving /pack to a temporary directory gives safe concurrent remote
repacks.
2013-03-10 04:44:26 +07:00
root
0b459b4b87 Add license header and the text of the GNU GPL 2013-03-03 09:02:43 +01:00
root
5f7f1afc85 Use a longer pack key
There should be no difference if we use 32 random bytes or more, since
GPG's longest symmetric key is 32 bytes, but to just remove any doubt we
use a longer random passphrase.
2013-03-03 09:02:43 +01:00
root
e1f60d45bb Encrypt and hash the new packfile streamingly 2013-01-25 10:36:22 +07:00
root
bc1c097c42 Simplify the use of the object list file 2012-11-26 01:53:17 +04:00
root
67697c2b32 Introduce xfeed output function 2013-01-07 03:43:45 -08:00
root
5122bf09cb Combine tempfile naming into one function 2013-02-03 04:09:59 +05:00
root
1436e6eb8e Guard verify-pack and pack-objects and die on error
Use echo_kill for when echo_die is not enough.
2013-02-22 15:43:46 +00:00
root
188b25df88 Use pathname expansion only where needed 2013-02-22 10:51:03 -09:00
root
c0273f5ac8 Fix GCRYPT_FULL_REPACK to also repack when target has only 1 pack 2012-12-25 01:22:30 -05:00
root
367ced925b Simplify PRIVENCRYPT 2013-02-23 18:38:54 +01:00
root
6fb48d0eea Simplify line_count and pick_fields 2013-01-06 21:58:04 -08:00
root
3cddb977c4 remove splitcolon use 2013-02-14 19:48:46 +03:00
root
a7f381143e use gpg_hash 2013-01-23 07:30:02 +09:00
root
84ac13f5a9 Refactor fetch and repack 2012-11-10 09:25:35 +04:00
root
a50a225ff0 More specific pattern for manifest filter 2012-11-19 22:03:41 +00:00
root
bb03601d73 Use $1, $2 instead of $@ here
If found a bug in mksh, where it would not split "$@" if IFS is null
(reported).
2013-02-01 09:01:36 +04:00
root
786dc939d4 Fixup cleanup at exit 2013-01-14 16:00:07 +06:00
root
2fa9a4a7ef Cleanup use of "quotes" 2013-01-22 17:25:23 -01:00
root
479cbcbe6e Rename main manifest globals for consistency and symmetry 2013-02-07 21:43:41 +06:00
root
971bfcd633 Unify filter_to and its negation, also make it faster by direct append 2013-02-03 23:30:06 +05:00
root
7c45d73f4e Edit wording in README 2013-01-21 17:37:06 -05:00
root
f2a1d6daa6 Code and naming conventions around return variables 2013-01-05 16:22:32 -01:00
root
85211abfc0 Use filter_to for pruning Packlist after repack 2013-01-28 07:44:43 +00:00
root
1d7a760a7e Replace wc -l with line_count 2012-12-17 06:38:26 -09:00
root
100490af1f Use filter_to for key_line 2012-11-22 02:46:46 +01:00
root
1c02c0f6cb Fix checking for multiple keys 2013-01-04 10:40:21 +00:00
root
698bc260c3 Update Branchlist using filter_remove 2012-11-23 20:03:14 +04:00
root
1cbe51f2e1 Introduce filter_to, pick_fields 2012-12-09 11:48:45 +06:00
root
56356a8315 Minicleanup in do_push 2013-02-10 23:06:09 -03:00
root
4d1f2999f1 Use have_packs+ file directly with grep 2012-11-10 13:49:56 +00:00
root
0e8b89f244 Fix bug with goodsig variable 2013-02-08 09:21:21 +00:00
root
5e090e019b read_config: only pick first key for each key id 2013-01-24 17:17:56 +00:00